#import <Cocoa/Cocoa.h>

@interface NSMenuExtra : NSStatusItem
{
    NSBundle *_bundle;
    NSMenu *_menu;
    NSView *_view;
    float _length;
    struct {
        unsigned int customView:1;
        unsigned int menuDown:1;
        unsigned int reserved:30;
    } _flags;
    id _controller;
}

- (id)initWithBundle:(NSBundle*)bundle;
- (id)initWithBundle:(NSBundle*)bundle data:(id)fp12;
- (void)willUnload;
- (void)unload;

- (NSBundle*)bundle;

- (float)length;
- (void)setLength:(float)fp8;

- (id)image;
- (void)setImage:(id)fp8;

- (id)alternateImage;
- (void)setAlternateImage:(id)fp8;

- (id)menu;
- (void)setMenu:(id)fp8;

- (id)toolTip;
- (void)setToolTip:(id)fp8;

- (id)view;
- (void)setView:(id)fp8;

- (SEL)action;
- (void)setAction:(SEL)fp8;

- (id)target;
- (void)setTarget:(id)fp8;

- (id)title;
- (void)setTitle:(id)fp8;

- (id)attributedTitle;
- (void)setAttributedTitle:(id)fp8;

- (BOOL)isEnabled;
- (void)setEnabled:(BOOL)fp8;

- (void)setHighlightMode:(BOOL)fp8;
- (BOOL)highlightMode;

- (BOOL)isMenuDown;
- (void)drawMenuBackground:(BOOL)fp8;
- (void)popUpMenu:(id)fp8;
- (id)statusBar;
- (void)sendActionOn:(int)fp8;

- (id)_initInStatusBar:(id)fp8 withLength:(float)fp12 withPriority:(int)fp16;
- (id)_window;
- (id)_button;
- (void)_adjustLength;

@end

@interface NSMenuExtraView : NSView
{
    NSMenu *_menu;
    NSMenuExtra *_menuExtra;
    NSImage *_image;
    NSImage *_alternateImage;
}

- (id)initWithFrame:(NSRect)fp8 menuExtra:(id)fp24;

- (void)setMenu:(id)fp8;

- (id)image;
- (void)setImage:(id)fp8;

- (id)alternateImage;
- (void)setAlternateImage:(id)fp8;

- (void)drawRect:(NSRect)fp8;
- (void)mouseDown:(id)fp8;

@end


